Overview | Package | Class | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.exist.soap
Class UserDesc

    java.lang.Object
      org.exist.soap.UserDesc

All Implemented Interfaces:
  java.io.Serializable

public class UserDesc
extends java.lang.Object
implements java.io.Serializable

See Also:
  Serialized Form

Constructor Summary
`UserDesc()`
`UserDesc(java.lang.String name, Strings groups, java.lang.String home)`

Method Summary
`boolean` | `equals(java.lang.Object obj)`
`static org.apache.axis.encoding.Deserializer` | `getDeserializer(java.lang.String mechType, java.lang.Class _javaType, javax.xml.namespace.QName _xmlType)` Get Custom Deserializer
`Strings` | `getGroups()` Gets the groups value for this UserDesc.
`java.lang.String` | `getHome()` Gets the home value for this UserDesc.
`java.lang.String` | `getName()` Gets the name value for this UserDesc.
`static org.apache.axis.encoding.Serializer` | `getSerializer(java.lang.String mechType, java.lang.Class _javaType, javax.xml.namespace.QName _xmlType)` Get Custom Serializer
`static org.apache.axis.description.TypeDesc` | `getTypeDesc()` Return type metadata object
`int` | `hashCode()`
`void` | `setGroups(Strings groups)` Sets the groups value for this UserDesc.
`void` | `setHome(java.lang.String home)` Sets the home value for this UserDesc.
`void` | `setName(java.lang.String name)` Sets the name value for this UserDesc.

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### UserDesc

    public UserDesc()

### UserDesc

    public UserDesc(java.lang.String name,
                    Strings groups,
                    java.lang.String home)

Method Detail

### getName

    public java.lang.String getName()

  Gets the name value for this UserDesc.

  Returns:
    name

### setName

    public void setName(java.lang.String name)

  Sets the name value for this UserDesc.

  Parameters:
    `name` -

### getGroups

    public Strings getGroups()

  Gets the groups value for this UserDesc.

  Returns:
    groups

### setGroups

    public void setGroups(Strings groups)

  Sets the groups value for this UserDesc.

  Parameters:
    `groups` -

### getHome

    public java.lang.String getHome()

  Gets the home value for this UserDesc.

  Returns:
    home

### setHome

    public void setHome(java.lang.String home)

  Sets the home value for this UserDesc.

  Parameters:
    `home` -

### equals

    public boolean equals(java.lang.Object obj)

### hashCode

    public int hashCode()

### getTypeDesc

    public static org.apache.axis.description.TypeDesc getTypeDesc()

  Return type metadata object

### getSerializer

    public static org.apache.axis.encoding.Serializer getSerializer(java.lang.String mechType,
                                                                    java.lang.Class _javaType,
                                                                    javax.xml.namespace.QName _xmlType)

  Get Custom Serializer

### getDeserializer

    public static org.apache.axis.encoding.Deserializer getDeserializer(java.lang.String mechType,
                                                                        java.lang.Class _javaType,
                                                                        javax.xml.namespace.QName _xmlType)

  Get Custom Deserializer

Overview | Package | Class | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) Wolfgang Meier. All rights reserved.